Bug Hunting Session
Bug 123090 - Text in table in PPTX placed very oddly
Summary: Text in table in PPTX placed very oddly
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.1.1.2 release
Hardware: All All
: medium normal
Assignee: Gülşah Köse
URL:
Whiteboard: target:6.3.0 target:6.2.2 target:6.1.6
Keywords: bibisected, bisected, regression
Depends on:
Blocks: PPTX
  Show dependency treegraph
 
Reported: 2019-01-31 16:45 UTC by Gülşah Köse
Modified: 2019-03-04 08:17 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
sample pptx (33.76 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2019-01-31 16:49 UTC, Gülşah Köse
Details
comparision how looks on powerpoint and impress (42.60 KB, application/pdf)
2019-01-31 16:50 UTC, Gülşah Köse
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gülşah Köse 2019-01-31 16:45:02 UTC
Description:
When I open the sample document, the table in the lower right his text to its right side -- one character per line.

Steps to Reproduce:
1.Open sample.pptx


Actual Results:
We should see aaa in the table.

Expected Results:
We see:
a
a
a

in the table


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 Gülşah Köse 2019-01-31 16:49:47 UTC
Created attachment 148806 [details]
sample pptx
Comment 2 Gülşah Köse 2019-01-31 16:50:11 UTC
Created attachment 148807 [details]
comparision how looks on powerpoint and impress
Comment 3 Gülşah Köse 2019-02-04 15:23:06 UTC
Problem not reproducable in LibreOffice 6.0.6.2 so it is a regression.
Comment 4 Xisco Faulí 2019-02-05 16:47:46 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=d6f73641ff10286339562075e11c7cbb8e3d2b74

author	Mike Kaganski <mike.kaganski@collabora.com>	2018-07-31 15:25:18 +0300
committer	Mike Kaganski <mike.kaganski@collabora.com>	2018-07-31 17:58:00 +0200
commit	d6f73641ff10286339562075e11c7cbb8e3d2b74 (patch)
tree	1f8822c39dd97c7415fd2be1b8ee57d9c8bda69c
parent	52a13e485f6b16eb8be5168897b24931f7a291de (diff)
tdf#119015: don't call TableModel::optimize in CellCursor::merge()

Bisected with: bibisect-linux64-6.2

Adding Cc: to Mike Kaganski
Comment 5 Commit Notification 2019-02-21 08:08:05 UTC
Gülşah Köse committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/48ef20f2039d1a300a4324072e9b712c9994b406%5E%21

tdf#123090 Handle removed column with gridSpan.

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2019-02-21 10:52:59 UTC
Gülşah Köse committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/00e89430a2f8cd1f9ec702a7583a1e4c886a2b46%5E%21

tdf#123090 unit test for handling gridSpan

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2019-02-21 15:06:17 UTC
Gülşah Köse committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/7f54846b9836ea9a9ee1644e90982eac9c75b7df%5E%21

tdf#123090 Handle removed column with gridSpan.

It will be available in 6.2.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2019-02-21 21:33:25 UTC
Gülşah Köse committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

https://git.libreoffice.org/core/+/6676952d319e032a631bfe9d8ce23ebcb4c92f5b%5E%21

tdf#123090 Handle removed column with gridSpan.

It will be available in 6.1.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 BogdanB 2019-03-04 08:17:59 UTC
Working.
Tested on Version: 6.3.0.0.alpha0+
Build ID: d4e3b48ee4c32bdb4e6cc37fb618cf818e152c31
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-03-02_23:38:22
Locale: ro-RO (ro_RO.UTF-8); UI-Language: en-US
Calc: threaded